#[=======================================================================[.rst:
myx_generate_private_config_header
----------------------------------

Вспомогательная функция для автоматической генерации заголовочного
файла, содержащего информацию о проекте::

    myx_generate_private_config_header(TARGET BASE_FILENAME)

Обязательные параметры: `TARGET` - имя цели, с которой связан заголовочный файл,
и `BASE_FILENAME` - имя генерируемого заголовочного файла.

#]=======================================================================]

include_guard(GLOBAL)

function(myx_generate_private_config_header target base_filename)
  set(BUILD_DATE ${MYX_TODAY})
  myx_project_version_int()
  get_property(PROJECT_VERSION_INT GLOBAL PROPERTY PROJECT_VERSION_INT)

  set(filename "${PROJECT_BINARY_DIR}/include/${base_filename}")
  configure_file("${MYX_CMAKE_LIB_DIR}/generators/PrivateConfig.hpp.in" ${filename})

  set_property(TARGET ${target} APPEND PROPERTY PRIVATE_HEADER_FILES ${filename})
  target_sources(${target} PRIVATE ${filename})
endfunction()
